﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadTreeList.aspx.cs" Inherits="Templates_RadTreeList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1"></telerik:RadScriptManager>

        <telerik:RadTreeList runat="server" ID="RadTreeList1"
            Width="800px"
            AllowPaging="true" PageSize="10"
            DataKeyNames="ID"
            ParentDataKeyNames="PID"
            OnNeedDataSource="RadTreeList1_NeedDataSource"
            AutoGenerateColumns="false">
            <Columns>

                <telerik:TreeListBoundColumn DataField="ID" HeaderText="ID" UniqueName="ID">
                </telerik:TreeListBoundColumn>
                <telerik:TreeListBoundColumn DataField="PID" HeaderText="PID" UniqueName="PID">
                </telerik:TreeListBoundColumn>

                <telerik:TreeListBoundColumn ReadOnly="true"
                    FooterAggregateFormatString="{0:C2}" DataField="Money" EditFormHeaderTextFormat=""
                    ItemStyle-HorizontalAlign="Right" DataFormatString="{0:C2}" UniqueName="PayRateAnnual" HeaderText="Pay Rate">
                </telerik:TreeListBoundColumn>


                <telerik:TreeListTemplateColumn HeaderStyle-Width="150px">
                    <ItemTemplate>
                        <telerik:RadNumericTextBox runat="server" ID="RadNumericTextBox1" Value='<%# Eval("Money") %>' ShowSpinButtons="true" Width="140px"></telerik:RadNumericTextBox>
                    </ItemTemplate>
                </telerik:TreeListTemplateColumn>

            </Columns>
        </telerik:RadTreeList>

    </form>
</body>
</html>
